## totem 3.18.1

=== debian/changelog ===
totem (3.18.1-1ubuntu4) xenial; urgency=medium

  * debian/patches/ubuntu-use-traditional-titlebars.patch:
    - Fix usage of XDG_CURRENT_DESKTOP (LP: #1554878)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Mar 2016 20:16:05 +1300

totem (3.18.1-1ubuntu3) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 15:11:55 +0100

totem (3.18.1-1ubuntu2) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 15:40:45 +0000

totem (3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control.in:
    - Drop libxtst-dev build-depends so that the (redundant) fake key presses
      for inhibiting the screensaver are disabled (LP: #1007438)
    - Build-depend on libzeitgeist-dev, libicu-dev
    - Suggest rather than recommend gstreamer components in universe
    - Add totem-plugins-extra
    - Don't recommend gnome-settings-daemon from the plugins any more; it's not
      right to pull in desktop integration bits by default.
    - Switch gnome-icon-theme to adwaita-icon-theme, which is its successor.
    - Version the dep on grilo-plugins to >= the version which had a fixed
      grl-bookmarks.
    - Use ubuntu-desktop vcs
    - Use Python 3
  * debian/rules:
    - Build with --fail-missing, to ensure we install everything.
      + Ignore libtotem.{,l}a since we delibrately don't install these.
    - Binary install override for totem-plugins-extra
    - Generate compatibility .desktop file
    - Enable buildflags script
    - Use Python 3
    - Enable GTK+ Doc
  * debian/totem-common.install, debian/source_totem.py:
    - Install Ubuntu apport debugging hook
  * debian/totem-plugins-extra.install:
    - Universe plugins split out of totem-plugins (currently only gromit)
  * debian/totem-plugins.install:
    - Skip the plugins split to -extra and add the zeitgeist plugin
  * debian/patches/0001-Add-a-traditional-menubar.patch:
    - Add a traditional menubar
  * debian/patches/correct_desktop_mimetypes.patch:
    - Don't list the mimetypes after the unity lists
  * debian/patches/91_quicklist_entries.patch:
    - Add static quicklist
  * debian/patches/ubuntu-grilo-filesystem.patch:
    - Use grl-filesystem if tracker is not available
  * debian/patches/ubuntu-use-traditional-titlebars.patch:
    - Use traditional titlebars on !GNOME
  * debian/patches/0001-totem-open-location-Respect-gtk-dialogs-use-header-s.patch:
    - Respect gtk-dialogs-use-header setting
  * debian/patches/0002-preferences-Respect-gtk-dialogs-use-header-setting.patch:
    - Respect gtk-dialogs-use-header setting
  * debian/patches/0003-totem-movie-properties-Respect-gtk-dialogs-use-heade.patch:
    - Respect gtk-dialogs-use-header setting

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 30 Oct 2015 16:28:37 +1300

totem (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete --disable-vegas-plugin configure flag.
  * Quote file globs passed to find to avoid expansion by the shell and use
    the builtin -delete method.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 17:48:39 +0200

totem (3.18.1-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * debian/patches/git_dvd_events.patch:
    - dropped, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Oct 2015 11:32:48 +0200

totem (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2015 18:52:05 +0200

totem (3.16.4-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 16:04:32 +0200

totem (3.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Sep 2015 13:23:39 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: totem
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.90),
               dpkg-dev (>= 1.16.1),
               autotools-dev,
               dh-autoreconf,
               appstream-util,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.9.12-4~),
               gsettings-desktop-schemas-dev,
               gstreamer1.0-plugins-base (>= 1.4.2),
               gstreamer1.0-plugins-good,
               gstreamer1.0-tools,
               gtk-doc-tools (>= 1.14),
               intltool (>= 0.50.1),
               libatk1.0-dev (>= 1.29.4),
               libbluetooth-dev [linux-any],
               libcairo2-dev (>= 1.14.0),
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev (>= 1.5.5),
               libclutter-1.0-dev (>= 1.17.3),
               libdbus-glib-1-dev (>= 0.82),
               libgdata-dev (>= 0.8.0),
               libgdk-pixbuf2.0-dev (>= 2.23.0),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.33.0),
               libgnome-desktop-3-dev,
               libgrilo-0.2-dev (>= 0.2.12),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev (>= 1.3.1),
               libgtk-3-dev (>= 3.16.0),
               libicu-dev,
               liblircclient-dev (>= 0.6.6),
               libnautilus-extension-dev (>= 2.91.4),
               libpeas-dev (>= 1.1.0),
               librsvg2-dev (>= 2.16.0-2),
               libsoup2.4-dev,
               libtotem-plparser-dev (>= 3.10.1),
               libx11-dev,
               libxml2-dev (>= 2.6.0),
               libxrandr-dev (>= 2:1.1.1),
#               libxtst-dev,
               libxxf86vm-dev (>= 1:1.0.1),
               libzeitgeist-2.0-dev,
               python3,
               python-gi-dev,
               shared-mime-info (>= 0.22),
               valac (>= 0.14.1),
               x11proto-core-dev,
               yelp-tools
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Videos
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/totem/ubuntu

Package: libtotem0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Main library for the Totem media player
 This package contains the main library used by the Totem media player. It is
 used both by the media player itself and by the plugins.
 .
 This library is only useful within Totem. You should not have to
 manually install this package.

Package: totem
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         totem-common (= ${source:Version}),
         gsettings-desktop-schemas,
         gstreamer1.0-clutter-3.0,
         gstreamer1.0-plugins-base (>= 1.4.2),
         gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         adwaita-icon-theme,
         grilo-plugins-0.2-base (>= 0.2.14-5~)
Recommends: gstreamer1.0-pulseaudio,
            totem-plugins
Suggests: gnome-codec-install,
          gstreamer1.0-libav,
          gstreamer1.0-plugins-ugly,
          gstreamer1.0-plugins-bad,
Description: Simple media player for the GNOME desktop based on GStreamer
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats. It features :
 .
    * Shoutcast, m3u, asx, SMIL and ra playlists support
    * DVD (with menus), VCD and Digital CD (with CDDB) playback
    * TV-Out configuration with optional resolution switching
    * 4.0, 5.0, 5.1 and stereo audio output
    * Full-screen mode (move your mouse and you get nice controls) with
      Xinerama, dual-head and RandR support
    * Aspect ratio toggling, scaling based on the video's original size
    * Full keyboard control
    * Simple playlist with repeat mode and saving feature
    * GNOME, Nautilus and GIO integration
    * Screenshot of the current movie
    * Brightness and Contrast control
    * Visualisation plugin when playing audio-only files
    * Video thumbnailer for nautilus
    * Nautilus properties page
    * Works on remote displays
    * DVD, VCD and OGG/OGM subtitles with automatic language selection
    * Extensible with plugins

Package: totem-common
Architecture: all
Depends: ${misc:Depends}
Description: Data files for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains common data files and translations.

Package: totem-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         totem (= ${binary:Version})
Description: Debugging symbols for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains detached debugging symbols.

Package: totem-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         totem (= ${binary:Version}),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gir1.2-totem-1.0 (= ${binary:Version}),
         python3-gi,
         python3-xdg
Suggests: gromit
Description: Plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of recommended plugins for Totem:
 .
    * Annotate the screen with the Gromit tool
    * Control Totem with an Infrared remote control
    * Control Totem with the keyboard's media player keys
    * Keep the Totem window on top of the screen
    * Display movie properties
    * Deactivate the screensaver when a movie is playing
    * Skip to a defined time in the movie
    * Set the away status in the instant messenger when a movie is
      playing
    * Control totem with a mobile phone using the Bluetooth protocol
    * Share the current playlist via HTTP
    * Search, browse for and play videos from YouTube
 .
 Additional plugins can be written in C, Python or Vala.

Package: totem-plugins-extra
Architecture: any
Depends: totem (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gromit
Description: Extra plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of extra plugins for Totem:
 .
    * Annotate the screen with the Gromit tool
 .
 Additional plugins can be written in C, Python or Vala.

Package: gir1.2-totem-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: GObject introspection data for Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains introspection data for the Totem media player.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libtotem-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtotem0 (= ${binary:Version}),
         gir1.2-totem-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libtotem-plparser-dev
Description: Main library for the Totem media player - development files
 This package contains development files for the Totem media player library.
 .
 You may need it to develop plugins for Totem.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

include /usr/share/gnome-pkg-tools/1/rules/make-compat-desktop-file.mk

DEB_MK_COMPAT_DESKTOP_totem := $(CURDIR)/debian/totem/usr/share/applications/org.gnome.Totem.desktop $(CURDIR)/debian/totem/usr/share/applications/totem.desktop

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-vala=yes \
	--disable-run-in-source-tree \
	--enable-gtk-doc

DEB_DH_STRIP_ARGS := --dbg-package=totem-dbg
DEB_DH_MAKESHLIBS_ARGS += -Xplugins/
DEB_DH_GIREPOSITORY_ARGS += -lsrc
DEB_DH_MAKESHLIBS_ARGS_totem += -X/usr/lib/nautilus/
DEB_DH_MAKESHLIBS_ARGS_libtotem0 += -V'libtotem0 (>= $(DEB_VERSION)), libtotem0 (<< $(DEB_GNOME_NEXTVERSION))'

DEB_DH_INSTALL_ARGS += --fail-missing -Xlibtotem.a -Xlibtotem.la

# don't configure with --libdir, but move the files manually, because
# other locations in /usr/lib/ must not change.
common-install-impl::
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/*.a debian/tmp/usr/lib/*.so* \
	    debian/tmp/usr/lib/girepository-1.0 debian/tmp/usr/lib/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

binary-install/totem::
	dh_python3 -ptotem /usr/lib/totem/totem
binary-install/totem-plugins::
	dh_python3 -ptotem-plugins --no-ext-rename /usr/lib/totem/plugins

binary-install/totem-plugins-extra::
	dh_python3 -ptotem-plugins-extra --no-ext-rename /usr/lib/totem/plugins

common-binary-predeb-arch::
	find debian -name '*.a' -delete
	find debian -name '*.la' -delete

## totem 3.22.0

=== debian/changelog ===
totem (3.22.0-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release
  * Adapt extension install for nautilus multi-archification

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2016 02:49:54 -0400

totem (3.21.91-0ubuntu2) yakkety; urgency=medium

  * Add ubuntu-make-zeitgeist-plugin-builtin.patch:
    - Make sure that zeitgeist plugin is enabled by default (LP: #1621162)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2016 12:21:05 -0400

totem (3.21.91-0ubuntu1) yakkety; urgency=medium

  [ Jeremy Bicha ]
  * New upstream beta release (LP: #1620160)
  * Add debian/patches/lower-clutter-gtk.patch:
    - The new clutter-gtk isn't needed because it fixes a GTK 3.22 specific
      issue and is apparently not intended for GTK 3.20
  * Refresh debian/patches/0001-Add-a-traditional-menubar.patch

  [ Andreas Henriksson ]
  * debian/totem-plugins.install: ship new variable-rate plugin.
  * Drop debian/patches/backend-Fix-the-build-with-Werror-format.patch
    - now included in upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2016 12:17:37 -0400

totem (3.20.1-3ubuntu2) yakkety; urgency=medium

  * Merge with Debian (LP: #1609215). Remaining changes:
    - debian/control.in:
      + Drop libxtst-dev build-depends so that the (redundant) fake key presses
        for inhibiting the screensaver are disabled (LP: #1007438)
      + Build-depend on libzeitgeist-dev, libicu-dev
      + Depend on grilo base plugins not the full set
      + Suggest rather than recommend gstreamer components in universe
      + Add totem-plugins-extra
      + Don't recommend gnome-settings-daemon from the plugins any more; it's
        not right to pull in desktop integration bits by default.
      + Use ubuntu-desktop vcs
    - debian/rules:
      + Build with --fail-missing, to ensure we install everything.
      + Ignore libtotem.{,l}a since we delibrately don't install these.
      + Binary install override for totem-plugins-extra
      + Generate compatibility .desktop file
      + Enable buildflags script
      + Enable GTK+ Doc
    - debian/totem-common.install, debian/source_totem.py:
      + Install Ubuntu apport debugging hook
    - debian/totem-plugins-extra.install:
      + Universe plugins split out of totem-plugins (currently only gromit)
    - debian/totem-plugins.install:
      + Skip the plugins split to -extra and add the zeitgeist plugin
    - debian/patches/0001-Add-a-traditional-menubar.patch:
      + Add a traditional menubar
    - debian/patches/correct_desktop_mimetypes.patch:
      + Don't list the mimetypes after the unity lists
    - debian/patches/91_quicklist_entries.patch:
      + Add static quicklist
    - debian/patches/ubuntu-grilo-filesystem.patch:
      + Use grl-filesystem if tracker is not available
    - debian/patches/ubuntu-use-traditional-titlebars.patch:
      + Use traditional titlebars on !GNOME
    - debian/patches/0001-totem-open-location-Respect-gtk-dialogs-use-header-s.patch:
      + Respect gtk-dialogs-use-header setting
    - debian/patches/0002-preferences-Respect-gtk-dialogs-use-header-setting.patch:
      + Respect gtk-dialogs-use-header setting
    - debian/patches/0003-totem-movie-properties-Respect-gtk-dialogs-use-heade.patch:
      + Respect gtk-dialogs-use-header setting
    - Multiarchify the library packages.
  * Updated 0001-Add-a-traditional-menubar.patch for new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2016 00:47:03 -0400

totem (3.20.1-3) unstable; urgency=medium

  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages
  * debian/control.in: Bump Standards-Version 3.9.8 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2016 23:12:39 +0200

totem (3.20.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/backend-Fix-the-build-with-Werror-format.patch: patch from
    upstream git to fix FTBFS with -Werror=format-security on
    32-bit (Closes: #821865)

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Apr 2016 12:14:12 +0100

totem (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop Build-Depends on libdbus-glib-1-dev, no longer needed.
  * Drop totem-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from totem-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Apr 2016 16:30:34 +0200

totem (3.19.92-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 12:12:48 +0100

totem (3.19.91-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump gstreamer1.0-plugins-base (>= 1.6.0)
    - bump libclutter-gtk-1.0-dev (>= 1.7.1)
    - libgrilo-0.2-dev -> libgrilo-0.3-dev
    - bump libgstreamer1.0-dev (>= 1.6.0)
    - bump libgtk-3-dev (>= 3.19.4)
  * Update dependencies:
    - bump gstreamer1.0-plugins-base (>= 1.6.0)
    - grilo-plugins-0.2 -> grilo-plugins-0.3
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 22:12:51 +0100

totem (3.18.1-2) unstable; urgency=medium

  * Switch to python3 for the plugins
  * debian/control.in: Add libzeitgeist-2.0-dev to the build-dependencies,
    this enable the zeitgeist-dp plugin
  * debian/rules: Pass --as-needed to dh_autoreconf and the linker to reduce
    the runtime dependencies

 -- Laurent Bigonville <bigon@debian.org>  Sun, 06 Dec 2015 00:55:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9.20160114),
                cdbs (>= 0.4.90),
                dpkg-dev (>= 1.16.1),
                autotools-dev,
@@ -17,7 +17,7 @@
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
-               gstreamer1.0-plugins-base (>= 1.4.2),
+               gstreamer1.0-plugins-base (>= 1.6.0),
                gstreamer1.0-plugins-good,
                gstreamer1.0-tools,
                gtk-doc-tools (>= 1.14),
@@ -26,18 +26,17 @@
                libbluetooth-dev [linux-any],
                libcairo2-dev (>= 1.14.0),
                libclutter-gst-3.0-dev,
-               libclutter-gtk-1.0-dev (>= 1.5.5),
+               libclutter-gtk-1.0-dev (>= 1.7.1~),
                libclutter-1.0-dev (>= 1.17.3),
-               libdbus-glib-1-dev (>= 0.82),
                libgdata-dev (>= 0.8.0),
                libgdk-pixbuf2.0-dev (>= 2.23.0),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.33.0),
                libgnome-desktop-3-dev,
-               libgrilo-0.2-dev (>= 0.2.12),
+               libgrilo-0.3-dev (>= 0.3.0),
                libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev (>= 1.3.1),
-               libgtk-3-dev (>= 3.16.0),
+               libgstreamer1.0-dev (>= 1.6.0),
+               libgtk-3-dev (>= 3.19.4),
                libicu-dev,
                liblircclient-dev (>= 0.6.6),
                libnautilus-extension-dev (>= 2.91.4),
@@ -50,21 +49,20 @@
                libxrandr-dev (>= 2:1.1.1),
 #               libxtst-dev,
                libxxf86vm-dev (>= 1:1.0.1),
-               libzeitgeist-2.0-dev,
-               python3,
-               python-gi-dev,
+               libzeitgeist-2.0-dev (>= 0.9.12),
+               python3 (>= 3.2),
+               python-gi-dev (>= 2.90.3),
                shared-mime-info (>= 0.22),
                valac (>= 0.14.1),
                x11proto-core-dev,
                yelp-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Videos
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/totem/ubuntu
 
 Package: libtotem0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Main library for the Totem media player
@@ -77,16 +75,14 @@
 Package: totem
 Architecture: any
 Depends: ${misc:Depends},
-         ${python3:Depends},
          ${shlibs:Depends},
          totem-common (= ${source:Version}),
          gsettings-desktop-schemas,
          gstreamer1.0-clutter-3.0,
-         gstreamer1.0-plugins-base (>= 1.4.2),
+         gstreamer1.0-plugins-base (>= 1.6.0),
          gstreamer1.0-plugins-good,
          gstreamer1.0-x,
-         adwaita-icon-theme,
-         grilo-plugins-0.2-base (>= 0.2.14-5~)
+         grilo-plugins-0.3-base
 Recommends: gstreamer1.0-pulseaudio,
             totem-plugins
 Suggests: gnome-codec-install,
@@ -125,18 +121,6 @@
  .
  This package contains common data files and translations.
 
-Package: totem-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         totem (= ${binary:Version})
-Description: Debugging symbols for the Totem media player
- Totem is a simple yet featureful media player for GNOME which can read
- a large number of file formats.
- .
- This package contains detached debugging symbols.
-
 Package: totem-plugins
 Architecture: any
 Depends: ${misc:Depends},
@@ -149,8 +133,9 @@
          gir1.2-pango-1.0,
          gir1.2-peas-1.0,
          gir1.2-totem-1.0 (= ${binary:Version}),
-         python3-gi,
+         python3-gi (>= 2.90.3),
          python3-xdg
+Recommends: zeitgeist-core
 Suggests: gromit
 Description: Plugins for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

include /usr/share/gnome-pkg-tools/1/rules/make-compat-desktop-file.mk

DEB_MK_COMPAT_DESKTOP_totem := $(CURDIR)/debian/totem/usr/share/applications/org.gnome.Totem.desktop \
 $(CURDIR)/debian/totem/usr/share/applications/totem.desktop

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-vala=yes \
	--disable-run-in-source-tree \
	--enable-gtk-doc \
	PYTHON=/usr/bin/python3

DEB_DH_STRIP_ARGS := --dbgsym-migration='totem-dbg (<< 3.20.1-1~)'
DEB_DH_MAKESHLIBS_ARGS += -Xplugins/
DEB_DH_GIREPOSITORY_ARGS += -lsrc
DEB_DH_MAKESHLIBS_ARGS_totem += -X/usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/
DEB_DH_MAKESHLIBS_ARGS_libtotem0 += -V'libtotem0 (>= $(DEB_VERSION)), libtotem0 (<< $(DEB_GNOME_NEXTVERSION))'

DEB_DH_INSTALL_ARGS += --fail-missing -Xlibtotem.a -Xlibtotem.la

# don't configure with --libdir, but move the files manually, because
# other locations in /usr/lib/ must not change.
common-install-impl::
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/*.a debian/tmp/usr/lib/*.so* \
		debian/tmp/usr/lib/girepository-1.0 debian/tmp/usr/lib/pkgconfig \
			debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

binary-install/totem-plugins::
	dh_python3 --no-ext-rename -ptotem-plugins /usr/lib/totem/plugins

common-binary-predeb-arch::
	find debian -name '*.a' -delete
	find debian -name '*.la' -delete

## totem 3.22.1

=== debian/changelog ===
totem (3.22.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in:
    - Add Multi-Arch flags (Closes: #813018)

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Mar 2017 02:04:16 +0100

totem (3.22.0-2) unstable; urgency=medium

  * Bump Build-Depends on libnautilus-extension-dev to (>= 3.21.92-3~) to
    ensure we have a version with multiarch support.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 22:09:28 +0200

totem (3.22.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Convert from cdbs to dh
  * Add debian/patches/disable-gtkdoc-check.patch to avoid failing make check
  * Add gnome-common build-dependency explicitly (Closes: #837835)
  * debian/totem.install: fix nautilus extension path which is now multi-arch.
  * Use --fail-missing

  [ Jeremy Bicha ]
  * Bump dh compat to 10

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libclutter-gtk-1.0-dev to (>= 1.8.1) as per
    configure.ac.
  * Drop debian/patches/lower-clutter-gtk.patch, no longer needed.
  * Drop debian/test.html, the gecko plugin is long gone.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 21:14:18 +0200

totem (3.21.91-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump clutter-gtk to >= 1.8.1
  * debian/totem-plugins.install: ship new variable-rate plugin.
  * Bump Standards-Version to 3.9.8
  * Drop debian/patches/backend-Fix-the-build-with-Werror-format.patch
    - now included in upstream release.
  * Add debian/patches/lower-clutter-gtk.patch
    - temporary patch to allow building with the current latest released
      version of clutter-gtk.
  * Lower clutter-gtk build-dependency to the version shipping the patch
    that totem wants to avoid flickering, 1.8.0-2~.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 04 Sep 2016 16:38:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,12 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-               cdbs (>= 0.4.90),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: appstream-util,
+               debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               autotools-dev,
-               dh-autoreconf,
-               appstream-util,
+               gnome-common,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
@@ -26,7 +23,7 @@
                libbluetooth-dev [linux-any],
                libcairo2-dev (>= 1.14.0),
                libclutter-gst-3.0-dev,
-               libclutter-gtk-1.0-dev (>= 1.7.1~),
+               libclutter-gtk-1.0-dev (>= 1.8.1),
                libclutter-1.0-dev (>= 1.17.3),
                libgdata-dev (>= 0.8.0),
                libgdk-pixbuf2.0-dev (>= 2.23.0),
@@ -37,9 +34,8 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev (>= 1.6.0),
                libgtk-3-dev (>= 3.19.4),
-               libicu-dev,
                liblircclient-dev (>= 0.6.6),
-               libnautilus-extension-dev (>= 2.91.4),
+               libnautilus-extension-dev (>= 3.21.92-3~),
                libpeas-dev (>= 1.1.0),
                librsvg2-dev (>= 2.16.0-2),
                libsoup2.4-dev,
@@ -47,7 +43,7 @@
                libx11-dev,
                libxml2-dev (>= 2.6.0),
                libxrandr-dev (>= 2:1.1.1),
-#               libxtst-dev,
+               libxtst-dev,
                libxxf86vm-dev (>= 1:1.0.1),
                libzeitgeist-2.0-dev (>= 0.9.12),
                python3 (>= 3.2),
@@ -58,7 +54,8 @@
                yelp-tools
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Videos
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/totem/ubuntu
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem
 
 Package: libtotem0
 Architecture: any
@@ -81,14 +78,14 @@
          gstreamer1.0-clutter-3.0,
          gstreamer1.0-plugins-base (>= 1.6.0),
          gstreamer1.0-plugins-good,
+         gstreamer1.0-plugins-bad,
          gstreamer1.0-x,
-         grilo-plugins-0.3-base
-Recommends: gstreamer1.0-pulseaudio,
+         grilo-plugins-0.3
+Recommends: gstreamer1.0-libav,
+            gstreamer1.0-plugins-ugly,
+            gstreamer1.0-pulseaudio,
             totem-plugins
-Suggests: gnome-codec-install,
-          gstreamer1.0-libav,
-          gstreamer1.0-plugins-ugly,
-          gstreamer1.0-plugins-bad,
+Suggests: gnome-codec-install
 Description: Simple media player for the GNOME desktop based on GStreamer
  Totem is a simple yet featureful media player for GNOME which can read
  a large number of file formats. It features :
@@ -114,6 +111,7 @@
 
 Package: totem-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Data files for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read
@@ -135,7 +133,7 @@
          gir1.2-totem-1.0 (= ${binary:Version}),
          python3-gi (>= 2.90.3),
          python3-xdg
-Recommends: zeitgeist-core
+Recommends: gnome-settings-daemon, zeitgeist-core
 Suggests: gromit
 Description: Plugins for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read
@@ -155,22 +153,6 @@
     * Control totem with a mobile phone using the Bluetooth protocol
     * Share the current playlist via HTTP
     * Search, browse for and play videos from YouTube
- .
- Additional plugins can be written in C, Python or Vala.
-
-Package: totem-plugins-extra
-Architecture: any
-Depends: totem (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: gromit
-Description: Extra plugins for the Totem media player
- Totem is a simple yet featureful media player for GNOME which can read
- a large number of file formats.
- .
- This package contains a set of extra plugins for Totem:
- .
-    * Annotate the screen with the Gromit tool
  .
  Additional plugins can be written in C, Python or Vala.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-vala=yes \
		--disable-run-in-source-tree \
		PYTHON=/usr/bin/python3

override_dh_strip:
	dh_strip --dbgsym-migration='totem-dbg (<< 3.20.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -p totem -X/usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/
	dh_makeshlibs -p libtotem0 -V'libtotem0 (>= $(DEB_VERSION)), libtotem0 (<< $(DEB_GNOME_NEXTVERSION))'
	dh_makeshlibs --remaining-packages -Xplugins/

override_dh_girepository:
	dh_girepository -lsrc

override_dh_python3:
	dh_python3 --no-ext-rename -ptotem-plugins /usr/lib/*/totem/plugins
	dh_python3 --remaining-packages

override_dh_install:
	find debian \( -name '*.a' -o -name '*.la' \) -delete
	rm -rf debian/tmp/usr/lib/*/totem/plugins/*/__pycache__
	dh_install --fail-missing

## totem 3.24.0

=== debian/changelog ===
totem (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 10:36:38 -0400

totem (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Refresh 0001-Add-a-traditional-menubar.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2017 13:55:36 -0500

totem (3.22.0-2ubuntu1) zesty; urgency=medium

  * Merge with Debian (LP: #1609215). Remaining changes:
    - debian/control.in:
      + Drop libxtst-dev build-depends so that the (redundant) fake key presses
        for inhibiting the screensaver are disabled (LP: #1007438)
      + Depend on grilo base plugins not the full set
      + Suggest rather than recommend gstreamer components in universe
      + Add totem-plugins-extra
      + Don't recommend gnome-settings-daemon from the plugins any more; it's
        not right to pull in desktop integration bits by default.
      + Use ubuntu-desktop vcs
      + Add Multi-Arch tags
    - debian/rules:
      + Generate compatibility .desktop file
    - debian/totem-common.install, debian/source_totem.py:
      + Install Ubuntu apport debugging hook
    - debian/totem-plugins-extra.install:
      + Universe plugins split out of totem-plugins (currently only gromit)
    - debian/totem-plugins.install:
      + Skip the plugins split to -extra
    - debian/patches/0001-Add-a-traditional-menubar.patch:
      + Add a traditional menubar
    - debian/patches/correct_desktop_mimetypes.patch:
      + Don't list the mimetypes after the unity lists
    - debian/patches/91_quicklist_entries.patch:
      + Add static quicklist
    - debian/patches/ubuntu-grilo-filesystem.patch:
      + Use grl-filesystem if tracker is not available
    - debian/patches/ubuntu-use-traditional-titlebars.patch:
      + Use traditional titlebars on !GNOME
    - debian/patches/0001-totem-open-location-Respect-gtk-dialogs-use-header-s.patch:
      + Respect gtk-dialogs-use-header setting
    - debian/patches/0002-preferences-Respect-gtk-dialogs-use-header-setting.patch:
      + Respect gtk-dialogs-use-header setting
    - debian/patches/0003-totem-movie-properties-Respect-gtk-dialogs-use-heade.patch:
      + Respect gtk-dialogs-use-header setting

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 24 Oct 2016 20:28:08 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
@@ -43,7 +44,7 @@
                libx11-dev,
                libxml2-dev (>= 2.6.0),
                libxrandr-dev (>= 2:1.1.1),
-               libxtst-dev,
+#               libxtst-dev,
                libxxf86vm-dev (>= 1:1.0.1),
                libzeitgeist-2.0-dev (>= 0.9.12),
                python3 (>= 3.2),
@@ -54,8 +55,7 @@
                yelp-tools
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Videos
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/totem
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/totem
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/totem/ubuntu
 
 Package: libtotem0
 Architecture: any
@@ -78,14 +78,14 @@
          gstreamer1.0-clutter-3.0,
          gstreamer1.0-plugins-base (>= 1.6.0),
          gstreamer1.0-plugins-good,
-         gstreamer1.0-plugins-bad,
          gstreamer1.0-x,
-         grilo-plugins-0.3
-Recommends: gstreamer1.0-libav,
-            gstreamer1.0-plugins-ugly,
-            gstreamer1.0-pulseaudio,
+         grilo-plugins-0.3-base
+Recommends: gstreamer1.0-pulseaudio,
             totem-plugins
-Suggests: gnome-codec-install
+Suggests: gnome-codec-install,
+          gstreamer1.0-libav,
+          gstreamer1.0-plugins-bad,
+          gstreamer1.0-plugins-ugly,
 Description: Simple media player for the GNOME desktop based on GStreamer
  Totem is a simple yet featureful media player for GNOME which can read
  a large number of file formats. It features :
@@ -133,15 +133,13 @@
          gir1.2-totem-1.0 (= ${binary:Version}),
          python3-gi (>= 2.90.3),
          python3-xdg
-Recommends: gnome-settings-daemon, zeitgeist-core
-Suggests: gromit
+Recommends: zeitgeist-core
 Description: Plugins for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read
  a large number of file formats.
  .
  This package contains a set of recommended plugins for Totem:
  .
-    * Annotate the screen with the Gromit tool
     * Control Totem with an Infrared remote control
     * Control Totem with the keyboard's media player keys
     * Keep the Totem window on top of the screen
@@ -156,6 +154,22 @@
  .
  Additional plugins can be written in C, Python or Vala.
 
+Package: totem-plugins-extra
+Architecture: any
+Depends: totem (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: gromit
+Description: Extra plugins for the Totem media player
+ Totem is a simple yet featureful media player for GNOME which can read
+ a large number of file formats.
+ .
+ This package contains a set of extra plugins for Totem:
+ .
+    * Annotate the screen with the Gromit tool
+ .
+ Additional plugins can be written in C, Python or Vala.
+
 Package: gir1.2-totem-1.0
 Section: introspection
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -39,3 +39,6 @@
 	find debian \( -name '*.a' -o -name '*.la' \) -delete
 	rm -rf debian/tmp/usr/lib/*/totem/plugins/*/__pycache__
 	dh_install --fail-missing
+	/usr/bin/pkg-gnome-compat-desktop-file \
+		debian/totem/usr/share/applications/org.gnome.Totem.desktop \
+		debian/totem/usr/share/applications/totem.desktop

## totem 3.26.0

=== meson_options.txt ===
option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
option('enable-vala', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'whether Vala plugin support is requested')
option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
option('enable-nautilus', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'compile the nautilus plugin')
option('with-nautilusdir', type: 'string', value: '', description: 'Installation path for Nautilus extension')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('enable-introspection', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable GObject Introspection (depends on GObject)')

=== debian/changelog ===
totem (3.26.0-0ubuntu6) bionic; urgency=medium

  * Add dont-make-compulsory.patch:
    Allow Totem to be uninstalled from the GNOME Software app

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Apr 2018 10:20:36 -0400

totem (3.26.0-0ubuntu5) bionic; urgency=medium

  * Add fix-build-with-gtk-doc-126.patch to build with gtk-doc 1.26

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 22:48:26 -0500

totem (3.26.0-0ubuntu4) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 22:09:56 -0500

totem (3.26.0-0ubuntu3) bionic; urgency=medium

  * Drop patches that provided old-style decorations and menus for Unity7.
    This conveniently also fixes LP: #1502476. LP: #1719322

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Jan 2018 05:42:51 +0800

totem (3.26.0-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest totem-pl-parser

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 Oct 2017 19:24:20 -0400

totem (3.26.0-0ubuntu1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop fix-lirc-detection.patch: Applied in new release
  * Drop fix-bvw_update_tags-performance.patch: Obsolete
  * debian/totem.install: Adjust to new appstream metadata install location

  [ Rico Tzschichholz ]
  * Add fix-vala-build.patch:
    - Fix vala/meson build ordering issue

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Oct 2017 19:32:18 -0400

totem (3.25.90.1-0ubuntu3) artful; urgency=medium

  * debian/patches/fix-bvw_update_tags-performance.patch: Update the patch
    to avoid passing NULL pointers around (LP: #1713386)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 28 Aug 2017 11:33:42 +0800

totem (3.25.90.1-0ubuntu2) artful; urgency=medium

  * debian/patches/fix-bvw_update_tags-performance.patch: 
    - bacon-video-widget.c: Reduce CPU usage and visible stuttering
      (LP: #1698282 and LP: #1698270).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 21 Aug 2017 16:10:19 +0800

totem (3.25.90.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Build with meson (Closes: #829923)
  * debian/control.in:
    - Build-Depend on pylint3 and dh-python
  * debian/totem.install:
    - Install new thumbnailer
  * Refresh patches
  * Remove correct_desktop_mimetypes.patch:
    - Doesn't appear to be needed any more
  * Add fix-lirc-detection.patch:
    - Adjust lirc library detection check so that lirc plugin is built

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 13 Aug 2017 19:28:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: totem
@@ -7,11 +7,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 10),
+               debhelper (>= 10.3),
+               dh-python,
                dpkg-dev (>= 1.16.1),
-               gnome-common,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
@@ -19,7 +19,6 @@
                gstreamer1.0-plugins-good,
                gstreamer1.0-tools,
                gtk-doc-tools (>= 1.14),
-               intltool (>= 0.50.1),
                libatk1.0-dev (>= 1.29.4),
                libbluetooth-dev [linux-any],
                libcairo2-dev (>= 1.14.0),
@@ -29,7 +28,7 @@
                libgdata-dev (>= 0.8.0),
                libgdk-pixbuf2.0-dev (>= 2.23.0),
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.33.0),
+               libglib2.0-dev (>= 2.35.0),
                libgnome-desktop-3-dev,
                libgrilo-0.3-dev (>= 0.3.0),
                libgstreamer-plugins-base1.0-dev,
@@ -47,6 +46,8 @@
 #               libxtst-dev,
                libxxf86vm-dev (>= 1:1.0.1),
                libzeitgeist-2.0-dev (>= 0.9.12),
+               meson (>= 0.41.0),
+               pylint,
                python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
                shared-mime-info (>= 0.22),

=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,16 @@
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 
 %:
-	dh $@ --with gnome,gir
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --with gnome,gir --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-gtk-doc \
-		--enable-vala=yes \
-		--disable-run-in-source-tree \
-		PYTHON=/usr/bin/python3
+		-Denable-easy-codec-installation=yes \
+		-Denable-gtk-doc=true \
+		-Denable-introspection=yes \
+		-Denable-nautilus=yes \
+		-Denable-python=yes \
+		-Denable-vala=yes
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='totem-dbg (<< 3.20.1-1~)'
